jaunty: Kubuntu OEM enduser setup fails with black screen (nv driver fails)

Bug #309482 reported by Dave Morley on 2008-12-18
2
Affects Status Importance Assigned to Milestone
X.Org X server
Fix Released
Medium
xserver-xorg-video-nv (Ubuntu)
Wishlist
Unassigned
Jaunty
Wishlist
Unassigned

Bug Description

Binary package hint: oem-config

RELEASE: Jaunty
CD/DVD VARIANT: 32/64 bit Kubuntu desktop cd
ISO BUILD: 20081218.5

SYMPTOMS: In oem mode once the enduser has run through the 4 setup question the screen flickers as though to go into the new desktop or kdm. Instead you are presented with a black screen with a white outlined black cross on it an nothing else.

CAUSE: Unknown

STEPS TO REPRODUCE:
1/ install oem version of Kubuntu
2/ Oem side is correct restart into enduser mode
3/ End user mode works till you see the screen flicker ready for the new kdm or user desktop
4/ At this point you get the black screen with the white outlined black cross.

Colin Watson (cjwatson) wrote :

I tried to reproduce this with today's Kubuntu alternate i386 CD, and was unable to do so; oem-config worked fine and sent me into kdm at the end. Can you still reproduce this?

Dave Morley (davmor2) wrote :

I'll check either this weekend or on Monday if I'm not able to.

Dave Morley (davmor2) wrote :

This is still an issue on my nvidia based box ( http://www.davmor2.co.uk/64test.html for hardware spec) but is no longer an issue on my intel box.

On pressing ALT-CTRL-F1 I saw an error that read:

Fatal server error:
  Server is already active for display 0
  If this server is no longer running, remove /tmp/.X0-lock and start again.
  a bit about contact x.org

ddxSigGiveUp: Closing log

In oem-config-log this is repeated 4 times

Dave Morley (davmor2) wrote :

Okay I installed the nvidia binary drivers today in oem mode and now it's worked all the way through.

This means that it is the nv driver causing the issues.

Bryce Harrington (bryce) wrote :

There is a page for debugging blank/black screen issues at http://wiki.ubuntu.com/X/Troubleshooting

There is currently a known bug with usplash that can cause a black/blank screen issue (on -intel at least), however that is confirmed due to a usplash change on 4 feb, which is later than this bug report so not likely to be the cause.

The error message in comment #3 is just saying that there was another X session running. Make sure to kill all X sessions before starting a new one.

The fact that the issue isn't seen with -nvidia doesn't prove it is an -nv issue, but it is an okay assumption for now. -nvidia and -nv are very, very different, with completely different dependencies and interactions with the xserver, so the root problem could still lay in something other than the driver. But we can start here.

Bryce Harrington (bryce) wrote :

A few questions:

1. "no longer an issue on my intel box" - this implies you reproduced the issue on -intel. Was it exactly the same problem (including the white-background cross cursor)? Since that went away I'm wondering if it might be an unrelated issue.

2. http://www.davmor2.co.uk/64test.html gives me a 404 error. Do you have a better url?

3. Can you please attach the following files? (These files are always required when reporting video bugs against X; you may find it more convenient to report X bugs via 'ubuntu-bug -p xserver-xorg-video-nv' which will automatically include these files.)
  a. Turn on debugging (Option "ModeDebug" "true" in your xorg.conf)
  b. Please attach your /var/log/Xorg.0.log after reproducing the issue.
  c. Attach the output of 'lspci -vvnn > lspci-vvnn.txt'.
  d. Also attach your /etc/X11/xorg.conf if you've made any customizations.

4. Please test using the -vesa driver (Driver "vesa" in xorg.conf) to confirm the issue does not exist with it

5. You indicated you tested against an ISO build 20081218.5 - can you reproduce it with a newer ISO, say an alpha-5 image? See http://cdimages.ubuntu.com/releases/jaunty/ for ISOs.

Changed in xserver-xorg-video-nv:
status: New → Incomplete
Dave Morley (davmor2) wrote :

Bryce Sorry my bag I decided to clean up my http directory a bit, I was really starting to lose what was what with it.

The nvidia gfx home build is at http://www.davmor2.co.uk/pc-specs/home-build1.html

My all intel box used to play up in the exact same way. However now it no longer fails. spec is http://www.davmor2.co.uk/pc-specs/esys1.html

I'll try your suggestions 3 and 4 tomorrow afternoon utc when I do the next batch of daily smoketesting.

To answer number 5 the last test was on the 20090204 (alpha 4 iirc) and it was still in place it was this cd where the intel install worked fine.

I'll upload the log files tomorrow for you. Hope that answers everything so far.

Dave Morley (davmor2) wrote :

this log shows the issue so I've added it too

Dave Morley (davmor2) wrote :

Xorg log on nv run

Dave Morley (davmor2) wrote :

just incase it's in the old log I'm adding it too

Bryce Harrington (bryce) wrote :

Interesting; according to the oem-config.log file, it's not X that's crashing but rather kwin:

update-initramfs: Generating /boot/initrd.img-2.6.28-7-generic
*** glibc detected *** kwin: double free or corruption (!prev): 0x0a06a030 ***
======= Backtrace: =========
/lib/tls/i686/cmov/libc.so.6[0xb6a085a4]
/lib/tls/i686/cmov/libc.so.6(cfree+0x96)[0xb6a0a556]
/usr/lib/libstdc++.so.6(_ZdlPv+0x21)[0xb6be9221]
/usr/lib/libQtDBus.so.4[0xb702f945]
/usr/lib/libQtDBus.so.4[0xb702a224]
/usr/lib/libQtDBus.so.4(_ZN15QDBusConnectionD2Ev+0x3a)[0xb70214da]
/usr/lib/libQtDBus.so.4[0xb702560f]
/lib/tls/i686/cmov/libc.so.6(exit+0x89)[0xb69c7b89]
/lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xed)[0xb69af77d]
kwin[0x8048671]
======= Memory map: ========
...

I also notice this X backtrace in the Xorg.0.log, although without debug symbols installed it's tough to see what exactly is going on:

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x3b) [0x813419b]
1: /usr/bin/X(xf86SigHandler+0x55) [0x80c76a5]
2: [0xb8098400]
3: /usr/lib/xorg/modules//libshadow.so(shadowRemove+0x4e) [0xb79b9eee]
4: /usr/lib/xorg/modules//libshadow.so [0xb79ba3a4]
5: /usr/bin/X [0x80c64c7]
6: /usr/bin/X [0x811197c]
7: /usr/bin/X [0x811dcac]
8: /usr/bin/X [0x812450c]
9: /usr/bin/X [0x80cef1e]
10: /usr/lib/xorg/modules/drivers//vesa_drv.so [0xb7b4bbc2]
11: /usr/bin/X [0x80c719b]
12: /usr/bin/X [0x81617ab]
13: /usr/bin/X [0x80e1308]
14: /usr/bin/X [0x80cbb33]
15: /usr/bin/X [0x814ac05]
16: /usr/bin/X [0x817bc7c]
17: /usr/bin/X [0x814497b]
18: /usr/lib/xorg/modules/extensions//libglx.so [0xb7b9646a]
19: /usr/bin/X(main+0x44c) [0x807228c]
20: /lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe5) [0xb7c6c775]
21: /usr/bin/X [0x80716b1]
Saw signal 11. Server aborting.
 ddxSigGiveUp: Closing log

Bryce Harrington (bryce) wrote :

Btw, I still need some of the info requested above, in particular lspci -vvnn.

As well, none of your files show -nv actually being used. If you are sure it is failing when using the -nv driver, please attach an Xorg.0.log from where that was used so we can see the error.

Otherwise, my guess is just that you have some chipset that -nv doesn't support (which is why I need lspci -vvnn) so Xorg is falling back to vesa, which doesn't support what kwin needs to run, which could explain its failure.

Can you reproduce this issue with Ubuntu or only on Kubuntu? If only the latter, then my guess is this may be a kwin-specific bug.

Changed in xserver-xorg-video-nv:
assignee: nobody → bryceharrington
Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :

Brian I think it is a strange combination thing. Kubuntu by itself will run on the machine using the -nv driver with no issues. However the minute I try and install in oem mode it fails.

However Oem mode in Ubuntu on the same machine works flawlessly.

I really don't think it is the driver but more what Kubuntu is doing in oem mode with the driver.

Created an attachment (id=23387)
Xorg.0.log showing a vesa boot

Forwarding this bug from a Ubuntu reporter:
https://bugs.edge.launchpad.net/ubuntu/jaunty/+source/xserver-xorg-video-nv/+bug/309482

[Problem]
The GeForce 7100 (10de:016a) is not listed in nv_driver.c, causing a fallback to the vesa driver when booting X on this hardware.

(This subsequently causes kwin to fail and a black screen to be displayed instead, but that's a separate issue.)

[Original Report]
RELEASE: Jaunty
CD/DVD VARIANT: 32/64 bit Kubuntu desktop cd
ISO BUILD: 20081218.5

SYMPTOMS: In oem mode once the enduser has run through the 4 setup question the screen flickers as though to go into the new desktop or kdm. Instead you are presented with a black screen with a white outlined black cross on it an nothing else.

CAUSE: Unknown

STEPS TO REPRODUCE:
1/ install oem version of Kubuntu
2/ Oem side is correct restart into enduser mode
3/ End user mode works till you see the screen flicker ready for the new kdm or user desktop
4/ At this point you get the black screen with the white outlined black cross.

Bryce Harrington (bryce) wrote :

The kwin issue may be due to trying to use "vesa" (which doesn't support compiz, which kwin requires afaik). But report that separately as it's not an -nv issue.

If you want the -vesa crash investigated as well, file a new bug for that, with a full backtrace of the xserver when running with "vesa" (directions for this are available at http://wiki.ubuntu.com/X/Backtracing).

As far as it not using -nv, it looks like the GeForce 7100 is not listed as supported in -nv yet (despite what 'man nv' seems to claim). So yes this hardware will require using -nvidia for now. You can see what pci id's that the -nv driver supports by looking in /usr/share/xserver-xorg/pci/nv.ids. You can also try forcing it by inserting "10de016a" into that file; no idea if that will work though.

Anyway, that third issue is indeed an -nv problem, so we'll focus on that for this bug report.

Changed in xserver-xorg-video-nv:
assignee: bryceharrington → nobody
importance: Undecided → Wishlist
status: Incomplete → Triaged
Bryce Harrington (bryce) wrote :

I've forwarded this issue upstream here:
https://bugs.freedesktop.org/show_bug.cgi?id=20375

Meanwhile, if you find that adding 10de016a to the nv.ids file makes it boot the nv driver okay, I can patch that in directly. However I anticipate it might require more code changes than that, so will wait for confirmation on that (or a patch from upstream).

Changed in xorg-server:
status: Unknown → Confirmed

Created an attachment (id=23816)
0001-Add-missing-pci-id-for-GeForce-7100-GS.patch

Original reporter says just adding the pci id seems to resolve the issue.

Dave Morley (davmor2) wrote :

Adding 10DE016A to nv.ids both increases the resolution and improves the gfx and fixes the issue here :)

I added it after 10DE0169 (seemed a sensible place to stick it )

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-nv - 1:2.1.12-1ubuntu2

---------------
xserver-xorg-video-nv (1:2.1.12-1ubuntu2) jaunty; urgency=low

  * Add 101_geforce_7100_gs.patch: Adds pci id for GeForce 7100 GS
    (LP: #309482)

 -- Bryce Harrington <email address hidden> Thu, 12 Mar 2009 16:52:47 -0700

Changed in xserver-xorg-video-nv:
status: Triaged → Fix Released
Dave Morley (davmor2) wrote :

This is now fixed
20090317

Thanks Bryce, patch pushed. Please note though that as I mentioned before, it's a bug in Ubuntu that it doesn't take the NVIsSupported and NVIsG80 PCI ID wildcards into account. Adding an entry to the chip table when it's already in NVIsSupported should *only* change the name printed in the log and should not otherwise change the behavior of the driver.

commit b278aca7d7b92b7fd62045d1aab44d78f694d608
Author: Bryce Harrington <email address hidden>
Date: Thu Mar 12 16:56:57 2009 -0700

    Add missing pci id for GeForce 7100 GS

    Signed-off-by: Bryce Harrington <email address hidden>
    Signed-off-by: Aaron Plattner <email address hidden>

:100644 100644 faf73a9... 20f96fb... M src/nv_driver.c

> Thanks Bryce, patch pushed. Please note though that as I mentioned before,
> it's a bug in Ubuntu that it doesn't take the NVIsSupported and NVIsG80 PCI ID
> wildcards into account.

Sorry, I must have missed your earlier comment about this. Can you
provide a reference or git commit id I should include for that?

Thanks

> --- Comment #3 from Bryce Harrington <email address hidden> 2009-03-20 14:18:07 PST ---
> Sorry, I must have missed your earlier comment about this. Can you
> provide a reference or git commit id I should include for that?

see e.g. http://article.gmane.org/gmane.comp.freedesktop.xorg/36372

I'm sorry Bryce, I misremembered. For some reason I thought I'd talked to you about it but as Julien kindly pointed out, it was actually Alberto.

Changed in xorg-server:
status: Confirmed → Fix Released
tags: added: iso-testing
Changed in xorg-server:
importance: Unknown → Medium
Changed in xorg-server:
importance: Medium → Unknown
Changed in xorg-server:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.